Subject: bug#55832: 28.1; Emacs crashes when using tramp from helm in emacs-29

From: Michael Albinus <[email-masked]>
Date: Thu, 16 Jun 2022 19:27:12 +0200

Thierry Volpiatto <[email-masked]> writes:

Hi Thierry,

> tramp-list-connections is often returning nil whatever the value of
> tramp-cache-data is but I have no recipe to reproduce this reliabily, if
> I can make a recipe when I have time I will report it, for now perhaps
> you can forget it.

I made a code review of using property "process-buffer" in Tramp, and
there is indeed a case it behaves incorrectly: after spawning an
asynchronous process. Recipe:

--8<---------------cut here---------------start------------->8---
# emacs -Q /sudo::

M-: (tramp-list-connections)
=> ((tramp-file-name "sudo" #("root" 0 4 (tramp-default t)) nil #("gandalf" 0 7 (tramp-default t)) nil nil nil))

M-x async-shell-command RET ls

M-: (tramp-list-connections)
nil
--8<---------------cut here---------------end--------------->8---

I'm working on a fix.

> Thanks.

Best regards, Michael.